(regression) qgis crashes if select a serial port and push the connect button in the gps Information
Panel (gps tracker)
Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupitsdata: Copied to github as #: 14880
Description

Hi,

my garmin etrex and other gps reciver (with NMEA output) works fine under QGIS 1.7.1 with the GPS information panel if | set the
COM-port manuel (under option->connection | have select the correct serial device COM-port).

But with ggis 1.7.4 or qgis master brunch qgis crashed if | pushed the connect button. | have not tested this problem under qgis 1.7.2 and
1.7.3.

If | select under option->connection->autodetect than qgis have no problems.
| use qgis under windowsXP and windows 7.

Thomas

History

#1 - 2012-03-07 03:19 AM - Giovanni Manghi
- Priority changed from Low to 6

#2 - 2012-03-07 03:19 AM - Giovanni Manghi
- Subject changed from qgis crashes if select a serial port and push the connect button in the gps Information Panel (gps tracker) to (regression) qgis
crashes if select a serial port and push the connect button in the gps Information Panel (gps tracker)

#3 - 2012-03-16 03:28 AM - Thomas Arnold

Hi,
can anybody check the following solution for this problem?

QgsGPSiInformationWidget::connectGps(){
/Ireplace follow line:

//port = mCboDevices->currentText();
port = mCboDevices->itemData(mCboDevices->currentindex()).toString();

#4 - 2012-03-16 03:30 AM - Giovanni Manghi

Hi Thomas,
can you attach a patch made with "diff"?

Thomas Arnold wrote:

Hi,

can anybody check the following solution for this problem?
QgsGPSlInformationWidget::connectGps(){
//replace follow line:

//port = mCboDevices->currentText();

port = mCboDevices->itemData(mCboDevices->currentindex()).toString();

#5 - 2012-03-19 12:17 AM - Thomas Arnold
- File qgsgpsinformationwidget.diff added

Hi,

is that file ok?

#6 - 2012-03-19 12:27 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

Thomas Arnold wrote:

is that file ok?

Yes. Thanks. Applied in commit:6972cfa

Files
qgsgpsinformationwidget.diff 465 Bytes 2012-03-18 Thomas Arnold
